## ubuntu-dev-tools 0.183

=== requirements.txt ===
python-debian
python-debianbts
distro-info
httplib2
launchpadlib
requests
setuptools
termcolor
pyyaml
