=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM       := pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_INSTALL_MANPAGES_ubuntu-dev-tools = doc/*.1

build/ubuntu-dev-tools::
	docbook2x-man doc/ppaput.1.docbook; mv ppaput.1 doc

clean::
	rm -f doc/ppaput.1
