=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_INSTALL_MANPAGES_ubuntu-dev-tools = doc/*.1

binary-install/ubuntu-dev-tools::
	rm -rf debian/ubuntu-dev-tools/usr/lib
