## ubuntu-dev-tools 0.46

=== debian/changelog ===
ubuntu-dev-tools (0.46) intrepid; urgency=low

  [ Daniel Hahler ]
  * submittodebian: use "intrepid" for Usertags (LP: #276073)

  [ Matt Zimmerman ]
  * add new program 'ubuntuiso' which prints information about Ubuntu isos by
    extracting files from them
  * Add Recommends: genisoimage for ubuntuiso

  [ Colin Watson ]
  * update-maintainer: Convert to plain #! /bin/sh.

  [ Cesare Tirabassi ]
  * remove -X option from grep-dctrl. It doesn't obtain the wished behaviour.

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 02 Oct 2008 22:34:44 +0100

ubuntu-dev-tools (0.45) intrepid; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * common.py:
     - Trying to read from a locked sqlite cookie database isn't a fatal
       error anymore.

  [ Adrien Cunin ]
  * update-maintainer:
     - check at the beginning of the script that the necessary files are
       readable/writable, and note which control files we are going to modify
     - at the end, only modify those control files, so that the script doesn't
       return 1 anymore when it was actually successful
  * pbuilder-dist:
     - Eliminated some warning with a better check for whether a given distro
       already has a pbuilder chroot in $BASE_DIR, when that distro is not
       known by the script
     - Added intrepid as a known distro
  * Return to previous versioning, without the ubuntu1 bit

  [ Jonathan Patrick Davies ]
  * buildd: Revert arch:status string format.

  [ Cesare Tirabassi ]
  * reverse-build-depends:
    - add -X option to grep-dctrl so that it only works with exact matches
      (LP: #272273).

 -- Adrien Cunin <adri2000@ubuntu.com>  Wed, 24 Sep 2008 16:01:09 +0200

ubuntu-dev-tools (0.44ubuntu1) intrepid; urgency=low

  * Bazaar revision 203.

  [ Colin Watson ]
  * Fix a number of minor glitches in manual pages.

  [ Jonathan Patrick Davies ]
  * debian/control:
    - Improved description.
    - Wrapped Depends line and bumped debhelper build-dependency version to 6.
  * debian/compat: Changed to 6.
  * Moved https_proxy dropping code to common.py.
  * requestsync: Check for already existing sync requests before filing a new
    one.

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Tue, 02 Sep 2008 21:43:49 +0100

ubuntu-dev-tools (0.43ubuntu1) intrepid; urgency=low

  * Bazaar revision 195.

  [ Jonathan Patrick Davies ]
  * common.py:
    - If loading a cookie file raises an exception exit. 
    - Improve cookie file writing.
    - New function: isLPTeamMember() - checks if the user is a member of the
      Launchpad team using cookies for authentication.
    - New function: packageComponent() - returns which component a package in
      Ubuntu is in.
  * requestsync:
    - Return an error when the script is unable to connect to
      packages.debian.org (LP: #261916).
    - Adapt team checking with the function above.
  * buildd:
    - Adapt privilege checking code to the new function above.
    - Check which component the package is in.

  [ Ryan Kavanagh ]
  * dgetlp.1: New manpage
  * dgetlp: fix typo in usage
  * hugdaylist.1: New manpage
  * s/requestsync/pull-lp-source/g in doc/pull-lp-source.1
  * mk-sbuild-lv.1: New manpage

  [ Karl Goetz ]
  * Add a Recommends: on ca-certificates (LP: #247157).

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Sun, 31 Aug 2008 11:40:30 +0200

ubuntu-dev-tools (0.42ubuntu1) intrepid; urgency=low

  [Jonathan Patrick Davies]
  * requestsync: Exit when connecting to Launchpad fails.
  * doc/requestsync.1: Document new -d flag.
  * common.py: New functions: checkReleaseExists() and checkSourceExists().
  * buildd and pull-lp-source: Adapt code to use new functions above.

  [ Jelmer Vernooij ]
  * requestsync: Add -d option to allow overriding the Debian distro to sync
  from. (LP: #253497)

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Sun, 24 Aug 2008 21:43:30 +0100

ubuntu-dev-tools (0.41) intrepid; urgency=low

  [ Loic Minier ]
  * Replace .BB in doc/pbuilder-dist.1 with a newline to fix a syntax error.
  * Drop spurious tab in buildd.
  * When https_proxy is in the environment, output a warning and disable it as
    urllib/urllib2 don't support it; see LP #122551.

  [ Kees Cook ]
  * common.py: allow for multiple firefox instances, check all possible
    cookie files.

 -- Kees Cook <kees@ubuntu.com>  Wed, 20 Aug 2008 10:58:24 -0700

ubuntu-dev-tools (0.40ubuntu3) intrepid; urgency=low

  * Import urllib2.

 -- Loic Minier <lool@dooz.org>  Mon, 18 Aug 2008 12:07:27 +0200

ubuntu-dev-tools (0.40ubuntu2) intrepid; urgency=low

  * requestsync: Correct print statement redirect to sys,stderr. 

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Mon, 18 Aug 2008 10:59:59 +0100

ubuntu-dev-tools (0.40ubuntu1) intrepid; urgency=low

  * Bazaar revision 174.
  * buildd: Code cleanup on single arch options.
  * doc/buildd.1: Created.
  * doc/requestsync.1: Added note about sponsorship detecting.
  * requestsync: Suggest using the --lp flag when mailing a request encounters
    a failure.

 -- Jonathan Patrick Davies <jpds@ubuntu.com>  Sat, 16 Aug 2008 23:38:41 +0100

ubuntu-dev-tools (0.39ubuntu1) intrepid; urgency=low

  * Bazaar revision 169.

  [ Jonathan Patrick Davies ]
  * common.py: Use os.path.expanduser() instead of os.environ.
  * buildd:
    - Added optparse support for option handling.
    - Added support to request the rebuilding or rescoring of only one
      architecture.
    - Various other improvements.
  * hugdaylist: Improved number of bugs option handling.
  * get-branches: Improved option handling.

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/control:
     - Add sbuild as an alternative recommends to pbuilder.
  * what-patch, pull-debian-debdiff, mk-sbuild-lv, dch-repat, debian/copyright:
     - Change the license of all scripts from Kees Cook to the GPL version 3
       or later.
     - Order the script names alphabetically in debian/copyright.
  * common.py:
     - Add functions mkdir and readlist.

  [ Iain Lane ]

