## ubuntu-dev-tools 0.63~intrepid1

=== debian/changelog ===
ubuntu-dev-tools (0.63~intrepid1) intrepid-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Siegfried Gevatter (RainCT) <siggi.gevatter@gmail.com>  Fri, 06 Feb 2009 11:14:15 +0000

ubuntu-dev-tools (0.63) jaunty; urgency=low

  * debian/links: add it (forgot to do so before).
  * bash-completion/pbuilder-dist: recognize cowbuilder- and -jaunty.
  * pbuilder-dist:
     - Fixed a bug which broke pbuilder-dist when "build" was omited; just
       giving a .dsc works now.
     - {p,cow}builder-dist will now complain if you try to build a .changes
       file (or anything else that isn't a .dsc).

 -- Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>  Thu, 05 Feb 2009 16:19:03 +0100

ubuntu-dev-tools (0.62) jaunty; urgency=low

  * Fix ubuntutools.lp.libsupport import in lp-set-dup.

 -- Loic Minier <lool@dooz.org>  Wed, 04 Feb 2009 12:04:47 +0100

ubuntu-dev-tools (0.61) jaunty; urgency=low

  [ Terence Simpson ]
  * dgetlp: Replaced Bash version with a new Python script.

  [ Luca Falavigna ]
  * setup.py: install ubuntutools/lp files.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 03 Feb 2009 13:34:42 +0100

ubuntu-dev-tools (0.60) jaunty; urgency=low

  [ Jonathan Davies ]
  * ubuntutools/common.py: Now split into multiple files depending on
    function.
  * Adjusted imports on all files as necessary for the change above.
  * Removed ubuntutools/misc.py's mkdir function - superseded by
    os.makedirs().
  * dgetlp: Improved error message to show that dgetlp only accepts HTTP
    URLs (LP: #322051).

  [ Iain Lane ]
  * requestsync: Only attempt to change bug importance if in ubuntu-dev, as it
    will fail otherwise (LP: #320984).
  * ubuntutools/lp/functions.py: Rename urlopener import as it conflicts with
    a variable, causing an error.

  [ Luca Falavigna ]
  * pull-debian-source: do not fail if package name contains a hypen.
  * buildd: display help message if no parameters are passed.

 -- Jonathan Davies <jpds@ubuntu.com>  Sun, 01 Feb 2009 10:55:42 +0000

ubuntu-dev-tools (0.59) jaunty; urgency=low

  * Move /etc/bash_completion.d/pbuilder-dist/pbuilder-dist created in
    pre-0.30 versions to /etc/bash_completion.d/pbuilder-dist in the preinst.

 -- Loic Minier <lool@dooz.org>  Mon, 19 Jan 2009 18:02:55 +0100

ubuntu-dev-tools (0.58) jaunty; urgency=low

  [ Loic Minier ]
  * Fix a bunch of hyphen-used-as-minus-sign lintian informational tags.
  * Don't repeat Section in the binary package's control chunk (pleases
    lintian).
  * New script, lp-set-dup, allows marking a bug and all its dups as a
    duplicate of a new main bug.
   * Re-add debian/pycompat to have an idempotent clean:: as cdbs creates the
     file during clean; Debian #512300.

 -- Loic Minier <lool@dooz.org>  Mon, 19 Jan 2009 17:45:26 +0100

ubuntu-dev-tools (0.57) jaunty; urgency=low

  * requestsync: Skip existing bug check if no credentials are
    found (LP: #318120).

 -- Jonathan Davies <jpds@ubuntu.com>  Sat, 17 Jan 2009 22:02:39 +0000

ubuntu-dev-tools (0.56) jaunty; urgency=low

  * manage-credentials: Tighted security by making credentials files and
    folder world unreadable.
  * common.py: Improved no credentials found error message to show which
    consumer token is needed.
  * requestsync: Catch credentials error to hide traceback.
  * Moved common.py to ubuntutools/ subdirectory to avoid possible conflicts
    in Python packaging and fixed all imports as necessary.
  * debian/ubuntu-dev-tools.install: Removed common.py entry. 

 -- Jonathan Davies <jpds@ubuntu.com>  Sat, 17 Jan 2009 11:32:33 +0000

ubuntu-dev-tools (0.55) jaunty; urgency=low

  * manage-credentials: Use common.py's mkdir function to create as many
    subdirectories as necessary for the credentials directory (LP: #317317).

 -- Jonathan Davies <jpds@ubuntu.com>  Thu, 15 Jan 2009 12:33:31 +0000

ubuntu-dev-tools (0.54) jaunty; urgency=low

  * manage-credentials:
    - Save credentials to ~/.cache/lp_credentials/ by
      default.
    - Set service option default to edge.
  * doc/manage-credentials.1: Update as necessary for the above.
  * common.py:
    - When credentials are not found, ask user to see
      manage-credentials manpage.
    - Load all token files for the consumer specified in the above
      directory as necessary. 

 -- Jonathan Davies <jpds@ubuntu.com>  Wed, 14 Jan 2009 19:39:35 +0000

ubuntu-dev-tools (0.53) jaunty; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/copyright:
     - Add information about manage-credentials.

  [ Daniel Holbach ]
  * debian/control: replace 'sb-release' with lsb-release, make package 
    installable again.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 14 Jan 2009 16:27:34 +0100

ubuntu-dev-tools (0.52) jaunty; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist.new:
    - Add compatibility for cowbuilder.
    - Fix the mainonly support.
    - Rename build.log to last_operation.log.
  * pbuilder-dist, pbuilder-dist.new:
    - Replace pbuilder-dist with pbuilder-dist.new.
  * debian/links:
    - Symlink /usr/bin/cowbuilder-dist to /usr/bin/pbuilder-dist, and the
      same with the manpage.
  * debian/control:
    - Add cowdancer as alternative recommends to pbuilder.
  * doc/pbuilder-dist.1:
    - Update it to explain the usage for the new pbuilder-dist script.
  * doc/mk-sbuild-lv.1:
    - Fix an error (and get ride of a lintian warning).

  [ Nathan Handler ]
  * pull-debian-source:
    - Pass -xu arguments to dget to be consistant with pull-lp-source
    - Add support for packages with a name beginning with "lib" (LP: #314732)

  [ Kees Cook ]
  * mk-sbuild-lv:
    - add --skip-updates to allow building security-only chroots.
    - add "apt-utils" as a default package for sane dist-upgrades.

  [ Jonathan Davies ]
  * buildd: Don't show arch override message if operation to perform is
    'status'. 
  * requestsync: If package is new, check the Ubuntu Archive team's bug list

