=== debian/control ===
--- 
+++ 
@@ -12,12 +12,11 @@
 
 Package: ubuntu-dev-tools
 Architecture: all
-Section: devel
 Depends: ${python:Depends}, binutils, devscripts, sudo, python-debian,
-  python-launchpad-bugs (>= 0.2.25), dctrl-tools, lsb-release, diffstat,
-  dpkg-dev
-Recommends: bzr, pbuilder | sbuild, reportbug (>= 3.39ubuntu1),
-  ca-certificates, genisoimage
+  python-launchpad-bugs (>= 0.2.25), python-launchpadlib, dctrl-tools,
+  lsb-release, diffstat, dpkg-dev, ${misc:Depends}
+Recommends: bzr, pbuilder | cowdancer | sbuild, reportbug (>= 3.39ubuntu1),
+  ca-certificates, genisoimage, perl-modules, libwww-perl
 Conflicts: devscripts (<< 2.10.7ubuntu5)
 Replaces: devscripts (<< 2.10.7ubuntu5)
 XB-Python-Version: ${python:Versions}
