## ubuntu-dev-tools 0.72

=== debian/changelog ===
ubuntu-dev-tools (0.72) jaunty; urgency=low

  [ Jonathan Davies ]
  * README.updates: Added - lists steps to take when updating this package.
  * grab-merge: Added --help option and manpage (LP: #349109).

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist:
     - Add squeeze as a Debian distribution. Thanks to Marco Rodrigues.

  [ Nathan Handler ]
  * pull-debian-source:
    - Add support for etch/oldstable
    - Make script work for codenames (etch, lenny, squeeze, sid)

  [ Ryan Kavanagh ]
  * Ported devscripts' build-rdeps to Ubuntu and replaced
    reverse-build-depends. Updated it's manpage. (LP: #272273)

  [ Kees Cook ]
  * mk-sbuild-lv:
    - Fully handle missing build log directories (LP: #342154).
    - More generalized approach to Distro-specific logic (LP: #342158).

  [ Scott Kitterman ]
  * dgetlp:
    - Port to hashlib module instead of md5 (deprecated in Python 2.6)
  * Bump minimum python-all-dev version to 2.5

 -- Scott Kitterman <scott@kitterman.com>  Wed, 15 Apr 2009 22:51:14 -0400

ubuntu-dev-tools (0.71) jaunty; urgency=low

  * requestsync: Fix unclosed string literal (LP: #346794)

 -- Iain Lane <laney@ubuntu.com>  Sun, 22 Mar 2009 14:40:19 +0000

ubuntu-dev-tools (0.70) jaunty; urgency=low

  [ Mitsuya Shibata ]
  * requestsync: Added -e option for FeatureFreezeException explanations and
    updated manpage.

 -- Jonathan Davies <jpds@ubuntu.com>  Thu, 19 Mar 2009 19:54:13 +0000

ubuntu-dev-tools (0.69) jaunty; urgency=low

  * mk-sbuild-lv: add --force-yes when installing $BUILD_PKGS (needed for
    Dapper at least)
  * mk-sbuild-lv: update sed command to use '-i' instead of redirecting
    output to the opened file

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 17 Mar 2009 11:28:38 -0500

ubuntu-dev-tools (0.68) jaunty; urgency=low

  * debian/control: Moved debootstrap to Recommends from Depends.

 -- Jonathan Davies <jpds@ubuntu.com>  Sun, 15 Mar 2009 15:30:48 +0000

ubuntu-dev-tools (0.67) jaunty; urgency=low

  [ Jonathan Davies ]
  * mk-sbuild-lv: Changed default behaviour so that the initial build and log
    directories are not created on first run; instead read settings file and
    check if they exist (LP: #342154).
  * requestsync: Reverted old madison.php workaround (LP: #183346).

  [ Ryan Kavanagh ]
  * mk-sbuild-lv: Added support for Debian chroots. Updated manpage.
    (LP: #342158)

  [ Mitsuya Shibata ]
  * pull-debian-source: Detect existence of dget in multi-path environment.

 -- Jonathan Davies <jpds@ubuntu.com>  Sat, 14 Mar 2009 22:40:05 +0000

ubuntu-dev-tools (0.66) jaunty; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/control:
     - Add "debootstrap" as a Recommends (LP: #334848).
  * pbuilder-dist:
     - Better error messages if cowbuilder/pbuilder/debootstrap isn't installed.

  [ Marco Rodrigues ]
  * Remove workaround for Debian madison, it works fine now.

  [ Nathan Handler ]
  * pull-debian-source:
    - Check if 'dget' is available
    - Update Copyright/License info
  * debian/copyright:
    - Update my copyright information

  [ Jonathan Davies ]
  * Added grab-merge from merges.ubuntu.com (LP: #155098).

 -- Jonathan Davies <jpds@ubuntu.com>  Thu, 09 Mar 2009 17:01:19 +0000

ubuntu-dev-tools (0.65) jaunty; urgency=low

  [ Colin Watson ]
  * manage-credentials: Fix typo.

  [ Jonathan Davies ]
  * requestsync: Only check existing reports if the --lp flag is used.

  [ Luca Falavigna ]
  * Add per-package upload permission checks:
    - ubuntutools/lp/functions.py: implement isPerPackageUploader.
    - requestsync: check if submitter has per-package upload permission
      using isPerPackageUploader function and adjust report accordingly.

  [ Iain Lane ]
  * requestsync: Drop "please" in bug titles, per recent discussion on the
    ubuntu-bugsquad ML.

 -- Jonathan Davies <jpds@ubuntu.com>  Tue, 03 Mar 2009 19:55:19 +0000

ubuntu-dev-tools (0.64) jaunty; urgency=low

  * Import urllib2 and sys in lp/functions.py, fixing requestsync.
  * Import ubuntutools.common explicitely in buildd and requestsync to get the
    https_proxy fix.

 -- Loic Minier <lool@dooz.org>  Fri, 06 Feb 2009 12:18:13 +0100
