## ubuntu-dev-tools 0.73~jaunty1

=== debian/changelog ===
ubuntu-dev-tools (0.73~jaunty1) jaunty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Scott Kitterman <ubuntu@kitterman.com>  Mon, 04 May 2009 10:39:27 +0100

ubuntu-dev-tools (0.73) karmic; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist:
    - Fallback to calling lsb_release if /etc/lsb-release doesn't
       exist; this makes it possible to run pbuilder-dist on Debian.

  [ Nathan Handler ]
  * pull-debian-source:
    - Use Getopt::Long

  [ Colin Watson ]
  * submittodebian:
    - New release cycle; use "karmic" usertag.
  * dch-repeat:
    - Drop EOLed gutsy and add karmic.
  * pull-lp-source:
    - Set default release to karmic.
  * reverse-build-depends:
    - Set default release to karmic.
  * bash_completion/pbuilder-dist:
    - Add karmic.
    - Add squeeze.
  * requestsync:
    - Send a "Content-Type: text/plain; charset=UTF-8" header (LP: #246307).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Apr 2009 21:39:15 +0100
