## ubuntu-dev-tools 0.81

=== debian/changelog ===
ubuntu-dev-tools (0.81) karmic; urgency=low

  [ Iain Lane ]
  * requestsync: Give an error message if no changelog entries - happens if,
    for example, the new package's changelog hasn't yet been published on p.d.o
  * update-maintainer: Also check if package is in experimental when looking
    who to update maintainer to. 
  * update-maintainer: Prefer updating control.in to control; this is used by
    some Debian packages, notably those maintained by pkg-gnome.
  * debian/control: Update standards-version to 3.8.3, no changes
  * debian/control, debian/pyversions: Remove XS-Python version to
    debian/pyversions to silence a warning

  [ Jonathan Davies ]
  * debian/control: Included a short description of each script (LP: #406658).

  [ Nathan Handler ]
  * debian/control: Mention pull-revu-source in description

  [ Joe Bernard ]
  * Launchpad API changed causing pull-lp-source to fail to parse the .dsc
    file from the URL contents (LP: #436006).

 -- Iain Lane <laney@ubuntu.com>  Fri, 25 Sep 2009 20:20:49 +0100

ubuntu-dev-tools (0.80) karmic; urgency=low

  * mk-sbuild-lv: Export http_proxy. LP: #416438
   
 -- Michael Terry <michael.terry@canonical.com>  Thu, 10 Sep 2009 10:53:30 -0400

ubuntu-dev-tools (0.79) karmic; urgency=low

  * Add lp-project-upload: Upload a release tarball to a Launchpad project.
  * Add doc/lp-project-upload.1: Corresponding manpage.
  * setup.py: Add lp-project-upload.
  * debian/copyright: Add lp-project-upload.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 05 Sep 2009 16:42:10 +0200

ubuntu-dev-tools (0.78) karmic; urgency=low

  [ Nathan Handler ]
  * setup.py: Add pull-revu-source to list of scripts

  [ Steve Langasek ]
  * Set XS-Python-Version to 2.6 or better, due to use of 2.6-specific
    syntax in requestsync.
  * Bump the python-all-dev build-dep as well

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 Sep 2009 12:17:03 -0700

ubuntu-dev-tools (0.77) karmic; urgency=low

  [ Nathan Handler ]
  * pull-revu-source: Update to use dsc.py to get dsc URL

  [ Michael Bienia ]
  * Install also the ubuntutools/requestsync/* modules (lp: #421627)

 -- Michael Bienia <geser@ubuntu.com>  Tue, 01 Sep 2009 10:56:29 +0200

ubuntu-dev-tools (0.76) karmic; urgency=low

  [ Nicolas Valcárcel ]
  * mk-sbuild-lv:
    - Add check for built-in dm_snapshot (LP: #398414)

  [ Andreas Moog ]
  * update-maintainer:
    - Don't silently fail when Maintainer-Field contains a comment
      in brackets. (LP: #397144)
    - Don't add second XSBC-Original-Maintainer if Maintainer was set
      to Motu or Core-Dev.

  [ Michael Bienia ]
  * Drop python-launchpad-bugs from Depends.
  * Add python-lazr-restfulclient to Depends.
  * buildd: Add a --batch mode for batch retrying/rescoring of packages.
  * requestsync:
    - Use UBU* environment variables before the DEB* ones (lp: #400133)
    - Split requestsync into a "mail" module and a "lpapi" module and use
      the LP API only when --lp was used. In "mail" mode requestsync has
      to ask some more questions for parts it can't find out without LP API.
      (lp: #406659, #416955)

  [ Iain Lane ]
  * requestsync:
    - Guard some calls when -n is specified
    - Fetch changelog of specified version, not current version. If an
      experimenal upload happened after the unstable one we're syncing, this
      is considered to be current by p.d.o and we would get those changelog
      entries in the sync request
    - Remove trailing fullstop from sync bug title
  * suspicious-source: Add *.hs *.el *.css to whitelist

  [ Siegfried-Angel Gevatter Pujals ]
  * pbuilder-dist:
     - Expand "~" in PBUILDFOLDER to the user's home directory.
     - If there's a "etc/<distro>/apt.conf" file inside the build result
       directory, pass it to pbuilder as --aptconfdir. Thanks to Paul Novotny
       and Ryan Pavlik (LP: #363043).

  [ Luca Falavigna ]
  * Switch to python-support to ease initial import into Debian:
    - debian/control: build-depend on python-support instead of pycentral,
      also remove unneeded XB-Python-Version field from binary stanza.
    - debian/rules: set DEB_PYTHON_SYSTEM to pysupport.
    - ubuntu-dev-tools.preinst: remove stale pycentral files on upgrades.

  [ Nathan Handler ]
  * Add pull-revu-source and doc/pull-revu-source.1
  * Update debian/copyright to include pull-revu-source

 -- Nathan Handler <nhandler@ubuntu.com>  Sun, 30 Aug 2009 17:24:23 +0000

ubuntu-dev-tools (0.75) karmic; urgency=low

  [ Michael Bienia ]
  * buildd:
    - Use the LP API for retrying or rescoring builds.
  * requestsync:
    - Fix check for sponsorship when a new package should get synced.
    - Add "done" as last email command when emailing the sync request
      to stop parsing of the email body for further email commands 
      (lp: #372555)

  [ Jonathan Davies ]
  * update-maintainer:
    - Rewrote in Python and adapted to use Maintainer field spec approved by
      the Technical Board at:
      - https://lists.ubuntu.com/archives/ubuntu-devel/2009-May/028213.html
    - Do not make changes if maintainer email is set to an
      @ubuntu.com email address.
  * requestsync:
    - Adapt to use new checkIsInDebian() function in ubuntutools/packages.py.
    - urlopener module is no longer required here.
  * pull-lp-source:
    - Return an error message if dget is not installed.
    - Use os.path.exists() instead of catching an error message
      to check if dget is installed.
  * TODO: pull-lp-source task done.
  * ubuntutools/packages.py: Created checkIsInDebian() function.
  * ubuntutools/lp/functions.py: Improved error messages, and made prettier
    functions.
  * ubuntutools/lp/libsupport.py: Fail if we're unable to import launchpadlib
    (we need it to run stuff).
  * ubuntutools/lp/urlopener.py: Removed - module no longer needed.
  * ubuntutools/lp/cookie.py: Removed - module no longer needed - we use
    Launchpad API support now.
  * buildd:

