## ubuntu-dev-tools 0.81.2

=== debian/changelog ===
ubuntu-dev-tools (0.81.2) karmic-proposed; urgency=low

  * Backporting fixes from Lucid to fix problem: requestsync does not see
    latest Debian version when multiple versions present (LP: #503111):
    - pull-debian-source: Return the most recent source line. Depend on
      libapt-pkg-perl for the Debian version comparison required for this.
    - ubuntutools/requestsync/mail.py: rmadison() returns now the most recent
      source line.

 -- Kamal Mostafa <kamal@whence.com>  Mon, 04 Jan 2010 11:27:58 -0800

ubuntu-dev-tools (0.81.1) karmic-proposed; urgency=low

  * Change defaults for requestsync and pull-debian-source from 'unstable' to
    'testing' (lp: #472824)

 -- Michael Bienia <geser@ubuntu.com>  Sat, 07 Nov 2009 16:05:13 +0100
