=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
  python-debian, python-launchpadlib, dctrl-tools, lsb-release, diffstat,
  dpkg-dev, python-apt (>= 0.7.9), python-lazr-restfulclient
 Recommends: bzr, pbuilder | cowdancer | sbuild, reportbug (>= 3.39ubuntu1),
- ca-certificates, debootstrap, genisoimage, perl-modules, libwww-perl
+ ca-certificates, debootstrap, genisoimage, perl-modules, libwww-perl,
+ libapt-pkg-perl
 Conflicts: devscripts (<< 2.10.7ubuntu5)
 Replaces: devscripts (<< 2.10.7ubuntu5)
 Description: useful tools for Ubuntu developers
